import { IClassesByType, IConfig, IEvaluatedConfig, IExtractedClass, IExtractedClasses, IToken } from './types';
export declare const allowedPseudoDecorators: string[];
export declare const getClassesFromConfig: (classnameKey: string, config: IEvaluatedConfig) => Record<string, import("./types").IClass>;
export declare const deepAssign: (a: {
    [key: string]: {
        [key: string]: string;
    };
}, b: {
    [key: string]: {
        [key: string]: string;
    };
}) => {
    [key: string]: {
        [key: string]: string;
    };
};
export declare const evaluateConfig: (config: IConfig) => IEvaluatedConfig;
export declare const getUserConfig: () => any;
export declare const getScreens: (config: IEvaluatedConfig) => any;
export declare const createProductionCss: (productionClassesByType: IClassesByType, config: IEvaluatedConfig) => string;
export declare const camelToDash: (str: string) => string;
export declare const createClassEntry: (name: string, decorators: string[], css: (name: string) => string) => string;
export declare const flat: (array: any[]) => any;
export declare const injectProduction: (productionClassesByType: IClassesByType, classCollection: IExtractedClasses, classes: Record<string, import("./types").IClass>, config: IEvaluatedConfig) => IClassesByType;
export declare const injectDevelopment: (classCollection: IExtractedClasses, classes: Record<string, import("./types").IClass>, config: IEvaluatedConfig) => string[];
export declare const negative: (scale: {
    [key: string]: IToken;
}) => {};
export declare const negateValue: (value: string) => any;
export declare const createName: (decorators: string[], name: string) => string;
export declare const createExtractedClasses: (extractedClasses: IExtractedClass[]) => IExtractedClasses;
export declare const createProductionClassObjects: ({ composition, baseClass, token, decorators, }: {
    composition: string;
    baseClass: string;
    token: string;
    decorators: string[];
}, classes: Record<string, import("./types").IClass>, evaluatedProductionShortnames: {
    classnames: string[];
    tokens: string[];
    decorators: string[];
}) => IExtractedClass[];
export declare const createClassObjects: ({ composition, baseClass, token, decorators, }: {
    composition: string;
    baseClass: string;
    token: string;
    decorators: string[];
}, classes: Record<string, import("./types").IClass>) => IExtractedClass[];
export declare const generateCharsFromNumber: (num: number) => string;
export declare const hyphenToCamelCase: (str: string) => string;
